Package Details: python-async-timeout-gns3 3.0.0-1

Git Clone URL: https://aur.archlinux.org/python-async-timeout-gns3.git (read-only)
Package Base: python-async-timeout-gns3
Description: Asyncio-compatible timeout class (GNS3)
Upstream URL: https://github.com/aio-libs/async-timeout
Licenses: Apache
Groups: gns3
Conflicts: python-async-timeout
Provides: python-async-timeout
Submitter: jnbrains
Maintainer: buzo
Last Packager: buzo
Votes: 8
Popularity: 0.492419
First Submitted: 2018-05-22 20:10
Last Updated: 2019-02-01 20:20

Latest Comments

buzo commented on 2019-02-26 10:43

The requirements in gns3-server are fixed now, sorry for the delay. I don't see any reason to downgrade this package to an even older version.

king007 commented on 2019-02-19 04:47

Hi All

Simply changing the line "async-timeout<3.0.0" to "async-timeout>=3.0.0" in "/usr/lib/python3.7/site-packages/gns3_server-2.1.12-py3.7.egg-info/requires.txt" solved the issue.

A temp fix for now. Hope this helps.

myob-brad commented on 2019-02-14 18:33

just in an effort to help the community, I tried to edit the PKGBUILD with following:

kgver = 2.0.1 sha256sums = 75a300199bb1bc11bb79a9ba7525a547ea0d3109000660e4ca57d4069b4544c3

Now when I try to start GNS 3 it's showing 2 errors as the set-up-wizard is trying to connect to the local server it throws the following laundry list ikn the GNS3 Console: => Local server process has stopped Traceback (most recent call last): File "/usr/lib/python3.7/site-packages/pkg_resources/init.py", line 581, in _build_master ws.require(requires) File "/usr/lib/python3.7/site-packages/pkg_resources/init.py", line 898, in require needed = self.resolve(parse_requirements(requirements)) File "/usr/lib/python3.7/site-packages/pkg_resources/init.py", line 789, in resolve raise VersionConflict(dist, req).with_context(dependent_req) pkg_resources.ContextualVersionConflict: (async-timeout 3.0.0 (/usr/lib/python3.7/site-packages), Requirement.parse('async-timeout<3.0.0'), {'gns3-server'})

During handling of the above exception, another exception occurred:

Traceback (most recent call last): File "/usr/bin/gns3server", line 6, in <module> from pkg_resources import load_entry_point File "/usr/lib/python3.7/site-packages/pkg_resources/init.py", line 3126, in <module> @_call_aside File "/usr/lib/python3.7/site-packages/pkg_resources/init.py", line 3110, in _call_aside f(args, *kwargs) File "/usr/lib/python3.7/site-packages/pkg_resources/init.py", line 3139, in _initialize_master_working_set working_set = WorkingSet._build_master() File "/usr/lib/python3.7/site-packages/pkg_resources/init.py", line 583, in _build_master return cls._build_from_requirements(requires) File "/usr/lib/python3.7/site-packages/pkg_resources/init.py", line 596, in _build_from_requirements dists = ws.resolve(reqs, Environment()) File "/usr/lib/python3.7/site-packages/pkg_resources/init.py", line 784, in resolve raise DistributionNotFound(req, requirers) pkg_resources.DistributionNotFound: The 'async-timeout<3.0.0' distribution was not found and is required by gns3-server

Local server process has stopped Traceback (most recent call last): File "/usr/lib/python3.7/site-packages/pkg_resources/init.py", line 581, in _build_master ws.require(requires) File "/usr/lib/python3.7/site-packages/pkg_resources/init.py", line 898, in require needed = self.resolve(parse_requirements(requirements)) File "/usr/lib/python3.7/site-packages/pkg_resources/init.py", line 789, in resolve raise VersionConflict(dist, req).with_context(dependent_req) pkg_resources.ContextualVersionConflict: (async-timeout 3.0.0 (/usr/lib/python3.7/site-packages), Requirement.parse('async-timeout<3.0.0'), {'gns3-server'})

During handling of the above exception, another exception occurred:

Traceback (most recent call last): File "/usr/bin/gns3server", line 6, in <module> from pkg_resources import load_entry_point File "/usr/lib/python3.7/site-packages/pkg_resources/init.py", line 3126, in <module> @_call_aside File "/usr/lib/python3.7/site-packages/pkg_resources/init.py", line 3110, in _call_aside f(args, *kwargs) File "/usr/lib/python3.7/site-packages/pkg_resources/init.py", line 3139, in _initialize_master_working_set working_set = WorkingSet._build_master() File "/usr/lib/python3.7/site-packages/pkg_resources/init.py", line 583, in _build_master return cls._build_from_requirements(requires) File "/usr/lib/python3.7/site-packages/pkg_resources/init.py", line 596, in _build_from_requirements dists = ws.resolve(reqs, Environment()) File "/usr/lib/python3.7/site-packages/pkg_resources/init.py", line 784, in resolve raise DistributionNotFound(req, requirers) pkg_resources.DistributionNotFound: The 'async-timeout<3.0.0' distribution was not found and is required by gns3-server

I am not a programmer so I don't know if the package build is looking for GNS3 because it's still listed in the package and I edited it to 2.0.1 manually or if there is another issue at play.

Just thought I'd give you a heads up in case you hadn't already seen this issue.

alexanderp commented on 2019-02-13 07:36

Can you please revert this to v2.0.1-1? GNS3 server will not work otherwise. Thanks.

yast commented on 2019-01-28 18:32

With the last update GNS3 servers fails to run. pkg_resources.ContextualVersionConflict: (async-timeout 3.0.1 (/usr/lib/python3.7/site-packages), Requirement.parse('async-timeout<3.0.0')